<?php
session_start();
$conexion = new mysqli('localhost', 'yoveraes_userdb', 't7@s5FxYn1GB', 'yoveraes_botica');
// Manejar errores de conexión
if ($conexion->connect_error) {
    die("Conexión fallida: " . $conexion->connect_error);
}

$nivelUsu = $_SESSION['tipo_usuario'];
// Obtener ventas diarias
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $fecha = $_GET['fecha'] ?? date('d/m/Y');

    if ($nivelUsu == "Nivel0") {
        $consulta = $conexion->prepare("SELECT * FROM ventas WHERE fecha = ?  order by hora_vtap,metodo");
        $consulta->bind_param("s", $fecha);
        $consulta->execute();
        $resultado = $consulta->get_result();
        $ventas = [];
        while ($fila = $resultado->fetch_assoc()) {
            $ventas[] = $fila;
        }
        echo json_encode($ventas);
    }

    if ($nivelUsu == "Nivel1") {
        $consulta = $conexion->prepare("SELECT * FROM ventas WHERE  AND correo='$_SESSION[correo]' and fecha = ? order by hora_vtap,metodo");
        $consulta->bind_param("s", $fecha);
        $consulta->execute();
        $resultado = $consulta->get_result();
        $ventas = [];
        while ($fila = $resultado->fetch_assoc()) {
            $ventas[] = $fila;
        }
        echo json_encode($ventas);
    }

}
// Eliminar una venta
date_default_timezone_set('America/Lima');
$hora_baja = date('H:i:s'); // Hora actual
$dia_baja = date("Y-m-d");
$fecha_formateada = 'Anulado el Día : ' . date("d/m/Y", strtotime($dia_baja)) . ' Hora : ' . date("H:i:s", strtotime($hora_baja));
if ($_SERVER['REQUEST_METHOD'] === 'DELETE') {
    parse_str(file_get_contents("php://input"), $datos);
    $id = $datos['id'];

    $eliminar = $conexion->prepare("UPDATE ventas SET cliente='ANULADO', direccion='$fecha_formateada', total=0.00, hora_vtab='$hora_baja'  WHERE correo='$_SESSION[correo]' and id = ?");
    $eliminar->bind_param("i", $id);
    $respuesta = $eliminar->execute();

    $elimina = $conexion->prepare("DELETE FROM detalle_ventas WHERE t_usuario='$_SESSION[correo]' and id_venta = ?");
    $elimina->bind_param("i", $id);
    $respuest = $elimina->execute();
    echo json_encode(["success" => $respuest]);
}